import 'package:flutter/material.dart';

class ExampleGroup {
  const ExampleGroup({
    required this.title,
    required this.icon,
    required this.path,
    required this.examples,
  });

  final String title;
  final IconData icon;
  final String path;
  final List<Example> examples;
}

class Example {
  const Example({
    required this.title,
    required this.icon,
    required this.path,
    required this.builder,
    this.isScrollable = true,
  });

  final String title;
  final IconData icon;
  final String path;
  final WidgetBuilder builder;
  final bool isScrollable;
}
