import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:flutter_test/flutter_test.dart';

import '../utils.dart';

final evenProvider = StateProvider.family<bool, int>((_, arg) => arg.isEven); // <1>

void main() {
  test('doit distinguer chaque état dans un provider', () {
    // given:
    final container = createContainer();

    // then:
    expect(container.read(evenProvider(13)), isFalse); // <2>
    expect(container.read(evenProvider(42)), isTrue);
  });
}