import 'package:article_flutter_riverpod/example.dart';
import 'package:flutter/material.dart';

class ExampleScreen extends StatelessWidget {
  const ExampleScreen(
    this.example, {
    Key? key,
  }) : super(key: key);

  final Example example;

  @override
  Widget build(BuildContext context) {
    final child = example.builder(context);

    return Scaffold(
      appBar: AppBar(
        title: Text(example.title),
      ),
      body: Center(
        child: example.isScrollable
            ? SingleChildScrollView(child: child) //
            : child,
      ),
    );
  }
}
