import 'package:article_flutter_riverpod/styles.dart';
import 'package:flutter/material.dart';

class HSpace extends StatelessWidget {
  const HSpace(this.size, {Key? key}) : super(key: key);

  static const s = HSpace(Insets.s);
  static const m = HSpace(Insets.m);
  static const l = HSpace(Insets.l);
  static const xl = HSpace(Insets.xl);

  final double size;

  @override
  Widget build(BuildContext context) {
    return SizedBox(height: size);
  }
}

class VSpace extends StatelessWidget {
  const VSpace(this.size, {Key? key}) : super(key: key);

  static const s = HSpace(Insets.s);
  static const m = HSpace(Insets.m);
  static const l = HSpace(Insets.l);
  static const xl = HSpace(Insets.xl);

  final double size;

  @override
  Widget build(BuildContext context) {
    return SizedBox(width: size);
  }
}
